Page MenuHomePhabricator

[OpenCL] Split PipeType into ReadPipe/WritePipe
ClosedPublic

Authored by joey on Nov 16 2016, 6:37 AM.

Details

Reviewers
bader
Summary

Split the PipeType into two derived classes. This allows Sema to diagnose passing read_only to write_only and vice versa.

Diff Detail

Repository
rL LLVM

Event Timeline

joey updated this revision to Diff 78182.Nov 16 2016, 6:37 AM
joey retitled this revision from to [OpenCL] Split PipeType into ReadPipe/WritePipe.
joey updated this object.
joey set the repository for this revision to rL LLVM.
joey added a subscriber: cfe-commits.
joey added a reviewer: bader.Nov 17 2016, 2:19 AM
bader accepted this revision.Nov 17 2016, 3:34 AM
bader edited edge metadata.

LGTM. Thanks!
A few minor comments regarding outdated comments and style.

include/clang/AST/ASTContext.h
1124

Please, update the comment to specify that this function return pipe type with '__read_only' access qualifier.

lib/AST/ASTContext.cpp
3341

Please, remove this comment. It's a copy of the comment from the header file.

lib/Serialization/ASTReader.cpp
5806–5807

Please, separate case with an empty line.

This revision is now accepted and ready to land.Nov 17 2016, 3:34 AM
joey closed this revision.Nov 18 2016, 6:23 AM
joey marked 3 inline comments as done.

Committed as r287343.